# Tyto the Swift

Adds the character Tyto the Swift from Gigantic, multiplayer compatible, and item displays.

# Overview

Tyto is a high mobility melee character that can dash in and out of combat at a moment's notice. While his melee is a simple one two combo slash to use between ability downtimes, he mainly shines with abilities like Blade Dance and Blur, which are powerful crowd control abilities in their own ways.

![](https://cdn.discordapp.com/attachments/846540105451831317/1003536230216114216/unknown.png)

Images Courtesy of DΞMONBØY.exe#3154![](https://cdn.discordapp.com/attachments/846540105451831317/1003537366104952902/tytobap.png)
![](https://cdn.discordapp.com/attachments/846540105451831317/1003537366503395379/tytopose.png)

# FAQ
Q: Where's Fang?

A: I would like to implement fang however I haven't gotten around to it yet.

Q: Is there progression like unlocks/mastery skins?

A: No, not yet, but I'd like to at some point!

# Known Issues
Some small additional detail animations aren't synced in multiplayer, this won't have an impact on playability, purely visual. (Would like to fix though)

Swoop sometimes doesn't launch properly if the aim indicator gets detached from the crosshair.

Equipment like Milky Chrysalis can cause swoop to make you infinitely fly upwards if Swoop is used while active.

Swoop can be interrupted by any source, this includes Talon and Blur, this is due to how the ability is coded and I will look into solutions to this in the future.

# To Do

Implement Fang

# Credits

My friends Avien and Bread who helped with balance, design choices and playtesting.

The RoR2 modding community discord for answering some of my questions and having some solutions on how to write abilities.

The Developers of Gigantic (Motiga) for creating the incredible animations, textures, sounds, and model that brings a character like Tyto to life.

# Changelog

v1.1.4

-Added Images to README.md

-Updated to latest BepinEx Version

v1.1.3

-Fixed Swoop... again.

-Balance Tweaks to Blade Dance and Talon

v1.1.2

-Reworked Swoop's code to be less funky and it should have fixed some interruption issues.

-Adjusted Talon's hitbox to be more generous.

v1.1.1

-Fixed melee spam bug

v1.1.0

-Released